OpenCat Russia & ocSore

Тема в разделе "Обо всём", создана пользователем bizarre, 7 сен 2015.

  1. bizarre

    bizarre Новичок

    Сообщения:
    5
    Симпатии:
    0
    Всем доброго дня,

    Назрело несколько немного глуповатых вопросов, но все же хотелось бы узнать на них ответы.
    Существуют три типа OpenCart: оригинальный, русская сборка и долго выходящий ocStore, так вот есть ли какая нибудь в них разница весомая? Я загрузил себе русскую сборку и не придется ли мне по мере изучения этой CMS переходить на ocStore или на оригинальную? И с какими проблемами можно столкнуться?

    Спасибо за отклик заранее))
     
  2. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.339
    Симпатии:
    698
    Русская сборка совместима полностью с любыми дополнениями для OpenCart. Когда вы будите общаться с зарубежными программистами, они вам не скажут фразу "Разбирайтесь сами со своей сборкой, т.к на оригинальном все работает".

    Если вы выбираете ветку 1.5, то для вас наверно лучшим решением будет выбрать ocStore (т.к Русскую сборку 1.5 выбирают те кто действительно понимают зачем им это нужно)

    Если вы смотрите на ветку , то конечно Русская сборка это лучший вариант на сегодняшний день.
     
  3. koteyko

    koteyko Новичок

    Сообщения:
    3
    Симпатии:
    0
    Тоже интересует данный вопрос. А модули совместимы между собой?
     
  4. Ravilr

    Ravilr Специалист

    Сообщения:
    3.158
    Симпатии:
    874
    У каждого модуля есть список совместимости. Где написано что работает на опенкарт, значит точно будет работать на русской сборке.
     
  5. koteyko

    koteyko Новичок

    Сообщения:
    3
    Симпатии:
    0
    Это да, а как понять совместимость с ocStore?
     
  6. Ravilr

    Ravilr Специалист

    Сообщения:
    3.158
    Симпатии:
    874
    спрашивать перед покупкой!
     
  7. bizarre

    bizarre Новичок

    Сообщения:
    5
    Симпатии:
    0
    так а разве есть разница между ними?? веди основа у всех одинаковая, или я ошибаюсь? Модули веди на все три варианта должны идти
     
  8. Ален

    Ален Эксперт

    Сообщения:
    2.055
    Симпатии:
    634
    Основа одинаковая, и в принципе для разработчиков почти без разницы. Но для начинающих бывает сложно найти ошибку несовместимости. В основном совместимы именно модули. Вкумоды могут не встать т.к код в движке оксторе во многих местах переписан.
    В общем для 1.5 оксторе хороший выбор для новичков. Там много чего подправлено и исправлено.
     
  9. bizarre

    bizarre Новичок

    Сообщения:
    5
    Симпатии:
    0
    да уж, видимо придется искать человека, с которым сотрудничать, ведь магазином заниматься нужно а не изучением кодов, хотя на начальном этапе скорее всего это не понадобится.